package com.persagy.apm.energy.report.common.service;

import com.persagy.apm.energy.report.common.dto.QueryPlatformParamDTO;
import com.persagy.apm.energy.report.monthly.config.statisticsitems.model.StatisticItems;
import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import io.swagger.annotations.Api;

import java.util.List;

@Api(value = "公共service接口")
public interface CommonService {

    /**
     * @param pjIdList 项目id列表
     * @return
     */
    List<String> getPjNameByPjId(List<String> pjIdList);

    /**
     * 根据配置条目信息获取能耗管理平台运维数据
     *
     * @param statisticItems        条目信息
     * @param queryPlatformParamDTO 查询条件对象
     * @return 能耗管理平台运维数据
     */
    Platform getPlatform(StatisticItems statisticItems, QueryPlatformParamDTO queryPlatformParamDTO);

}
