package com.persagy.apm.energy.report.monthly.detail.business.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "用电量条目信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PowerItemVO {
    @ApiModelProperty("条目名称")
    public String name;

    @ApiModelProperty("本月用电量")
    public Double currentMonth;

    @ApiModelProperty("上月用电量")
    public Double lastMonth;

    @ApiModelProperty("本年度累计用电量")
    public Double yearCount;

    @ApiModelProperty("去年同期累计用电量")
    public Double lastYearCount;

    @ApiModelProperty("环比增量")
    public Double linkCount;

    @ApiModelProperty("环比增幅")
    public Double linkRange;

    @ApiModelProperty("同比增量")
    public Double sameCount;

    @ApiModelProperty("同比增幅")
    public Double sameRange;

    @ApiModelProperty("本年单方用电量")
    public Double yearPerCount;

    @ApiModelProperty("去年单方用电量")
    public Double lastYearPerCount;

}
