package com.persagy.apm.energy.report.workorder.service;

import com.persagy.apm.energy.report.common.dto.QueryAreaPlatformParamDTO;
import com.persagy.apm.energy.report.common.dto.QueryPjPlatformParamDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;

@Api(value = "工单管理service接口")
public interface IWorkOrderWebService {
    /**
     * 获取项目能源管理平台运维工单完成率信息
     *
     * @param queryPjPlatformParamDTO 查询条件对象
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    void getPjWorkOrderRate(QueryPjPlatformParamDTO queryPjPlatformParamDTO, Platform platform);

    /**
     * 获取大区能源管理平台运维工单完成率信息
     *
     * @param queryAreaPlatformParamDTO 查询条件对象
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    void getAreaWorkOrderRate(QueryAreaPlatformParamDTO queryAreaPlatformParamDTO, Platform platform);
}
